name: checker
description: A new Flutter project.

dependencies:
  http: '>=0.11.3+12'
  sprintf: "^3.0.2"
  path_provider: "^0.2.1+1"
  sqflite: any
  image_picker: '^0.1.3'  # use for ask permissions @ iOS
  xml: "^2.6.0"
  flutter:
    sdk: flutter

# For information on the generic Dart part of this file, see the
# following page: https://www.dartlang.org/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section here, in
  # this "flutter" section, as in:
  assets:

    - assets/autobonus_logo.png
    - assets/pip_logo.png
    - assets/dinect_logo.png
    - assets/crypto_logo.png

    - assets/autobonus_splash.png
    - assets/pip_splash.png
    - assets/dinect_splash.png

    - assets/settings.png
    - assets/settings_arrow.png
    - assets/help.png
    - assets/check.png
    - assets/exit.png
    - assets/activate_token_message_background.png
    - assets/active_token_message_background.png
    - assets/faq_expansion_icon.png
    - assets/powered_by_dinect_splash.png
    - assets/powered_by_dinect.png
    - assets/splash_text.png
    - assets/values-ru/strings.xml
    - assets/values-ua/strings.xml
    - assets/values-en/strings.xml
    - assets/values-es/strings.xml

  # To add assets from package dependencies, first ensure the asset
  # is in the lib/ directory of the dependency. Then,
  # refer to the asset with a path prefixed with
  # `packages/PACKAGE_NAME/`. Note: the `lib/` is implied, do not
  # include `lib/` in the asset path.
  #
  # Here is an example:
  #
  # assets:
  #  - packages/PACKAGE_NAME/path/to/asset

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
